
Summary:	Virtual Machine Manager
Summary(pl.UTF-8):	Zarządca maszyn wirtualnych
Name:		virt-manager
Version:	4.1.0
Release:	2%{?tld}
Epoch:		1
License:	GPL v2+
Group:		Applications/Emulators
Source0:	https://releases.pagure.org/virt-manager/%{name}-%{version}.tar.gz
# Source0-md5:	8bf86bcc7e43a956ff94ebdaf4d7d399
URL:		http://virt-manager.org/
BuildRequires:	gettext-tools >= 0.14.1
BuildRequires:	glib2-devel
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libosinfo >= 1.0.0
BuildRequires:	perl-tools-pod
BuildRequires:	python3-devel
BuildRequires:	python3-libvirt >= 0.9.6
BuildRequires:	python3-libxml2 >= 1:2.7.8
BuildRequires:	rpmbuild(macros) >= 1.592
Requires(post,postun):	glib2
Requires(post,postun):	gtk-update-icon-cache
Requires:	dconf
Requires:	adwaita-icon-theme
Requires:	gnome-icon-theme
Requires:	gtk+3 >= 3.14
Requires:	gtk3-vnc >= 0.4.3
Requires:	gtksourceview4
Requires:	hicolor-icon-theme
Requires:	libosinfo >= 1.0.0
Requires:	libvirt-glib >= 0.0.9
Requires:	python3-chardet
Requires:	python3-idna
Requires:	python3-libvirt >= 0.9.6
Requires:	python3-pycairo
Requires:	python3-pygobject3 >= 3.14
Requires:	python3-virtinst = %{epoch}:%{version}-%{release}
Requires:	spice-gtk
Requires:	vte >= 0.34
Requires:	xorriso
Suggests:	gnome-keyring >= 0.4.9
Suggests:	python3-libguestfs >= 1.12.0
ExclusiveArch:	%{ix86} %{x8664} ia64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_debugsource_packages	0

%description
Virtual Machine Manager provides a graphical tool for administering
virtual machines for KVM, Xen, and QEmu. Start, stop, add or remove
virtual devices, connect to a graphical or serial console, and see
resource usage statistics for existing VMs on local or remote
machines. Uses libvirt as the backend management API.

%description -l pl.UTF-8
Virtual Machine Manager udostępnia graficzne narzędzie do
administrowania maszynami wirtualnymi dla środowisk KVM, Xen i QEmu.
Pozwala uruchamiać, zatrzymywać, dodawać i usuwać urządzenia
wirtualne, łączyć się z konsolą graficzną lub szeregową oraz oglądać
statystyki wykorzystania zasobów istniejących maszyn wirtualnych na
maszynach lokalnych i zdalnych. Wykorzystuje libvirt jako API do
zarządzania.

%package -n bash-completion-%{name}
Summary:        bash-completion for libvirt
Group:          Applications/Shells
Requires:       bash-completion
%if "%{_rpmversion}" >= "5"
BuildArch:      noarch
%endif

%description -n bash-completion-%{name}
This package provides bash-completion for libvirt.

%package -n python3-virtinst
Summary:	Python modules and utilities for installing virtual machines
Summary(pl.UTF-8):	Moduły Pythona i narzędzia do instalowania maszyn wirtualnych
Group:		Libraries/Python
Requires:	python3-libvirt >= 0.9.6
Requires:	python3-libxml2 >= 1:2.7.8
Requires:	python3-modules
Requires:	python3-requests
Suggests:	python3-selinux
Suggests:	virt-viewer >= 0.0.1
Obsoletes:	python-virtinst

%description -n python3-virtinst
virtinst is a module that helps build and install libvirt based
virtual machines. Currently supports KVM, QEmu and Xen virtual
machines. Package includes several command line utilities, including
virt-install (build and install new VMs) and virt-clone (clone an
existing virtual machine).

%description -n python3-virtinst -l pl.UTF-8
virtinst to moduł pomagający przy tworzeniu i instalowaniu maszyn
wirtualnych opartych na libvirt. Obecnie obsługiwane są maszyny KVM,
QEmu i Xen. Pakiet zawiera kilka działających z linii poleceń
skryptów, w tym virt-install (tworzący i instalujący nowe VM-y) oraz
virt-clone (klonujący istniejącą maszynę wirtualną).

%prep
%setup -q

%build
%{__python3} setup.py \
        configure \
	--prefix=%{_prefix} \

%install
rm -rf $RPM_BUILD_ROOT

%{__python3} setup.py \
	--no-update-icon-cache \
	--no-compile-schemas install \
	--prefix=%{_prefix} \
	--root=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/bash_completion.d
%{__mv} $RPM_BUILD_ROOT%{_datadir}/bash-completion/completions/* $RPM_BUILD_ROOT/etc/bash_completion.d/

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/kab

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
if [ "$1" = "0" ]; then
	%glib_compile_schemas
fi
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc NEWS.md README.md
%attr(755,root,root) %{_bindir}/virt-manager
%{_datadir}/%{name}/icons
%{_datadir}/%{name}/ui
%dir %{_datadir}/%{name}/virtManager
%{_datadir}/%{name}/virtManager/*.py*
%dir %{_datadir}/%{name}/virtManager/details
%{_datadir}/%{name}/virtManager/details/*.py*
%dir %{_datadir}/%{name}/virtManager/device
%{_datadir}/%{name}/virtManager/device/*.py*
%dir %{_datadir}/%{name}/virtManager/lib
%{_datadir}/%{name}/virtManager/lib/*.py*
%dir %{_datadir}/%{name}/virtManager/object
%{_datadir}/%{name}/virtManager/object/*.py*
%{_datadir}/metainfo/virt-manager.appdata.xml
%{_datadir}/glib-2.0/schemas/org.virt-manager.virt-manager.gschema.xml
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/virt-manager.png
%{_mandir}/man1/virt-manager.1*

%files -n bash-completion-%{name}
%defattr(644,root,root,755)
/etc/bash_completion.d/virt-clone
/etc/bash_completion.d/virt-install
/etc/bash_completion.d/virt-xml

%files -n python3-virtinst -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/virt-clone
%attr(755,root,root) %{_bindir}/virt-install
%attr(755,root,root) %{_bindir}/virt-xml
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/virtinst
%{_datadir}/%{name}/virtinst/build.cfg
%{_datadir}/%{name}/virtinst/*.py*
%dir %{_datadir}/%{name}/virtinst/devices
%{_datadir}/%{name}/virtinst/devices/*.py*
%dir %{_datadir}/%{name}/virtinst/domain
%{_datadir}/%{name}/virtinst/domain/*.py*
%dir %{_datadir}/%{name}/virtinst/install
%{_datadir}/%{name}/virtinst/install/*.py*
%{_mandir}/man1/virt-clone.1*
%{_mandir}/man1/virt-install.1*
%{_mandir}/man1/virt-xml.1*
%changelog
* Tue Apr 23 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/virt-manager.git;a=log;h=master

* Tue Apr 23 2024 Marcin Krol <hawk@tld-linux.org> e46ae04
- disable debug packages

* Sat Aug 27 2022 Marcin Krol <hawk@tld-linux.org> 053dbbb
- updated to 4.1.0

* Sun Jan 03 2021 Marcin Krol <hawk@tld-linux.org> c3aaf10
- updated to 3.2.0

* Sun Jul 14 2019 Marcin Krol <hawk@tld-linux.org> 2ead1e8
- updated to 2.2.1

* Wed Jun 19 2019 Marcin Krol <hawk@tld-linux.org> bfe1327
- R: gtksourceview4

* Mon Jun 17 2019 Marcin Krol <hawk@tld-linux.org> b6abe11
- updated to 2.2.0

* Thu May 09 2019 Marcin Krol <hawk@tld-linux.org> 1c5ee19
- more paths for ARM UEFI firmware

* Tue May 07 2019 Marcin Krol <hawk@tld-linux.org> b6969a0
- updated to 2.1.0

* Sun Jan 13 2019 Marcin Krol <hawk@tld-linux.org> efab067
- R: pycairo for graphs

* Tue Oct 23 2018 Marcin Krol <hawk@tld-linux.org> 42ae673
- fix deps

* Mon Oct 22 2018 Marcin Krol <hawk@tld-linux.org> 02b1a8e
- merged update to 2.0.0 from PLD

* Wed Oct 10 2018 Marcin Krol <hawk@tld-linux.org> 27487e3
- R python-pycairo, required for graphs

* Thu Jul 05 2018 Marcin Krol <hawk@tld-linux.org> 061a218
- R dconf, fixes remote connections not being saved
- R adwaita-icon-theme, fixes missing icons

* Tue Jul 03 2018 Marcin Krol <hawk@tld-linux.org> b65c504
- R gnome-icon-theme

* Tue Jul 03 2018 Marcin Krol <hawk@tld-linux.org> 6cd89a1
- update python Rs

* Wed Mar 14 2018 Marcin Krol <hawk@tld-linux.org> ff6378e
- updated to 1.5.1

* Sat Feb 11 2017 Marcin Krol <hawk@tld-linux.org> 820d80f
- updated to 1.4.0

* Wed Apr 20 2016 Marcin Krol <hawk@tld-linux.org> e920934
- update Rs

* Thu Jan 21 2016 Marcin Krol <hawk@tld-linux.org> d010a2d
- updated to 1.3.2

* Fri Jul 24 2015 Marcin Krol <hawk@tld-linux.org> 84d901b
- seems to work without python-gnome* stuff

